petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatShellSetContext

sets the context for a shell matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatShellSetContext(Mat mat,void *ctx)

Logically Collective on Mat

### Input Parameters

| mat | - the shell matrix
| ctx | - the context

Fortran Notes: To use this from Fortran you must write a Fortran interface definition for this function that tells Fortran the Fortran derived data type that you are passing in as the ctx argument.

### See Also

MatCreateShell(), MatShellGetContext(), MatShellGetOperation()

Level:advanced
Location:src/mat/impls/shell/shell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex22f_mf.F90.html